<?php
/**
 * Created by PhpStorm.
 * User: sicilon_IT
 * Date: 2025/2/9
 * Time: 10:21
 */
namespace app\index\model;
use think\Model;
class workersignmodel extends Model {
    protected $table = 't_workersign';

    public function insinfo($arr) {
        $res = $this->allowField(true)->save($arr);
        return $this->id;
    }

    /*
     * 20250209
     * 获取某人某一天的打卡记录
     */
    public function selinfobywiddate($wid, $recdate) {
        $where_arr['wid'] = $wid;
        $where_arr['signdate'] = $recdate;
        $rec = $this->where($where_arr)->find();
        return $rec;
    }

}